import betterproto
from game_server.net.session import Session
from lib.proto import GetExtraStoryDataReq,GetExtraStoryDataRsp

# TODO implement extra story
async def handle(session: Session, msg: GetExtraStoryDataReq) -> betterproto.Message:

    byte_array = bytes.fromhex("[encoded data, 5528 characters]")

    ms = memoryview(byte_array)
    rsp = GetExtraStoryDataRsp()
    rsp.parse(ms.tobytes())

    return rsp
